Project

General

Profile

Problem with maven

Added by Samuele Pederzini over 1 year ago

Hi
I am trying to compile a jtw application with maven but in the maven repository there is only the old version 3.2.0, is it possible to update it?

I also tried to compile by myself but using the pom nothing works it just creates an empty jar.
How can I fix it?


Replies (4)

RE: Problem with maven - Added by Korneel Dumon over 1 year ago

Hey,

the way we use it is by adding it to the local maven repository. I you download jWt from https://www.webtoolkit.eu/jwt/download, then the README.txt file should help you (the version numbers are outdated though ...).

I tried it myself a bit and it seems to work:

ant mvn # will build jar-files to dist/ folder
mvn install:install-file -Dfile=dist/jwt-4.8.0.jar -DpomFile=jwt-4.8.0.pom
mvn install:install-file -Dfile=dist/jwt-auth-4.8.0.jar -DpomFile=jwt-auth-4.8.0.pom

RE: Problem with maven - Added by Samuele Pederzini over 1 year ago

I tried to install it and it works but when Iimport it into the maven project I have this error here:

Failed to execute goal on project jwt-hello: Could not resolve dependencies for project eu.webtoolkit:jwt-hello:war:1.0.0: java3d:vecmath:jar:1.5.2 was not found in https://repo.maven.apache.org/maven2 during a previous attempt. This failure was cached in the local repository and resolution is not reattempted until the update interval of central has elapsed or updates are forced

I changed java3d in javax.vecmath, but in the end i have these errors here:

[ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:2.0.2:compile (default-compile) on project jwt-hello: Compilation failure: Compilation failure:
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WApplication.java):[284,11] error: lambda expressions are not supported in -source 6
[ERROR]
[ERROR] could not parse error message: (use -source 8 or higher to enable lambda expressions)
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WPushButton.java):149: error: lambda expressions are not supported in -source 6
ERROR -> {
[ERROR] ^
[ERROR]
[ERROR] could not parse error message: (use -source 8 or higher to enable lambda expressions)
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WDialog.java):457: error: lambda expressions are not supported in -source 6
ERROR -> {
[ERROR] ^
[ERROR]
[ERROR] could not parse error message: (use -source 8 or higher to enable lambda expressions)
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WPopupWidget.java):62: error: lambda expressions are not supported in -source 6
ERROR -> {
[ERROR] ^
[ERROR]
[ERROR] could not parse error message: (use -source 8 or higher to enable lambda expressions)
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WWidget.java):1125: error: lambda expressions are not supported in -source 6
ERROR -> {
[ERROR] ^
[ERROR]
[ERROR] could not parse error message: (use -source 8 or higher to enable lambda expressions)
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WPopupMenu.java):200: error: lambda expressions are not supported in -source 6
ERROR -> {
[ERROR] ^
[ERROR]
[ERROR] could not parse error message: (use -source 8 or higher to enable lambda expressions)
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WMenu.java):157: error: lambda expressions are not supported in -source 6ERROR -> {
[ERROR] ^
[ERROR]
[ERROR] could not parse error message: (use -source 8 or higher to enable lambda expressions)
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WWebWidget.java):73: error: lambda expressions are not supported in -source 6
ERROR -> {
[ERROR] ^
[ERROR]
[ERROR] could not parse error message: (use -source 8 or higher to enable lambda expressions)
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WCssDecorationStyle.java):155: error: lambda expressions are not supported in -source 6
ERROR -> {
[ERROR] ^
[ERROR]
[ERROR] could not parse error message: (use -source 8 or higher to enable lambda expressions)
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WMenuItem.java):485: error: lambda expressions are not supported in -source 6
ERROR -> {
[ERROR] ^
[ERROR]
[ERROR] could not parse error message: (use -source 8 or higher to enable lambda expressions)
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WAnchor.java):184: error: lambda expressions are not supported in -source 6
ERROR -> {
[ERROR] ^
[ERROR]
[ERROR] could not parse error message: (use -source 8 or higher to enable lambda expressions)
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WImage.java):183: error: lambda expressions are not supported in -source
6
ERROR -> {
[ERROR] ^
[ERROR]
[ERROR] could not parse error message: (use -source 8 or higher to enable lambda expressions)
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WAbstractArea.java):96: error: lambda expressions are not supported in -source 6
ERROR -> {
[ERROR] ^
[ERROR]
[ERROR] could not parse error message: (use -source 8 or higher to enable lambda expressions)
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WXmlLocalizedStrings.java):33: error: diamond operator is not supported in -source 6
[ERROR] public Map> map_ = new HashMap<>();
[ERROR] ^
[ERROR]
[ERROR] could not parse error message: (use -source 7 or higher to enable diamond operator)
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WXmlLocalizedStrings.java):126: error: multi-catch statements are not supported in -source 6
[ERROR] } catch (ClassNotFoundException |
[ERROR] ^
[ERROR]
[ERROR] could not parse error message: (use -source 7 or higher to enable multi-catch statements)
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/PluralExpression.java):57: error: method references are not supported in
-source 6
[ERROR] .map(this::visit)
[ERROR] ^
[ERROR]
[ERROR] could not parse error message: (use -source 8 or higher to enable method references)
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/PluralExpression.java):58: error: lambda expressions are not supported in -source 6
[ERROR] .reduce(0L, (l, r) -> l != 0L || r != 0L ? 1L : 0L);
[ERROR] ^
[ERROR]
[ERROR] could not parse error message: (use -source 8 or higher to enable lambda expressions)
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WMediaPlayer.java):355: error: lambda expressions are not supported in -source 6
ERROR -> {
[ERROR] ^
[ERROR]
[ERROR] could not parse error message: (use -source 8 or higher to enable lambda expressions)
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WRectF.java):448: error: package com.google.gson does not exist
[ERROR] protected void assignFromJSON(final com.google.gson.JsonElement value) {
[ERROR] ^
[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WPainterPath.java):[843,53] error: package com.google.gson does not exist[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WTransform.java):[767,53] error: package com.google.gson does not exist
[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WPointF.java):[163,53] error: package com.google.gson does not exist

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WJavaScriptExposableObject.java):[128,62] error: package com.google.gson
does not exist
[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WJavaScriptObjectStorage.java):[22,22] error: package com.google.gson does not exist
[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WJavaScriptObjectStorage.java):[23,22] error: package com.google.gson does not exist
[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WJavaScriptObjectStorage.java):[24,22] error: package com.google.gson does not exist
[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WJavaScriptObjectStorage.java):[25,22] error: package com.google.gson does not exist
[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WPen.java):[339,53] error: package com.google.gson does not exist

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WBrush.java):[217,53] error: package com.google.gson does not exist

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WApplication.java):[284,8] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WApplication.java):[289,8] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WWidget.java):[1125,10] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WWidget.java):[1130,10] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WWidget.java):[1517,16] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WPopupWidget.java):[62,8] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WPopupWidget.java):[67,8] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WPopupWidget.java):[74,12] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WNavigationBar.java):[121,33] error: lambda expressions are not supported in -source 6
[ERROR]
[ERROR] could not parse error message: (use -source 8 or higher to enable lambda expressions)
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WDialog.java):457: error: lambda expression not expected here
ERROR -> {
[ERROR] ^
[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WDialog.java):[495,26] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WDialog.java):[503,26] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WDialog.java):[516,24] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WDialog.java):[525,24] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WDialog.java):[534,22] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WDialog.java):[739,14] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WDialog.java):[849,8] error: lambda expression not expected here
[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WMenu.java):[157,14] error: lambda expression not expected here
[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WMenu.java):[732,14] error: lambda expression not expected here
[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WPopupMenu.java):[200,14] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WPopupMenu.java):[509,10] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WPopupMenu.java):[554,12] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WTimer.java):[58,29] error: lambda expressions are not supported in -source 6
[ERROR]
[ERROR] could not parse error message: (use -source 8 or higher to enable lambda expressions)
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WWebWidget.java):73: error: lambda expression not expected here
ERROR -> {
[ERROR] ^
[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WWebWidget.java):[586,8] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WWebWidget.java):[671,8] error: lambda expression not expected here
[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WWebWidget.java):[721,10] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WWebWidget.java):[737,10] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WWebWidget.java):[996,10] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WWebWidget.java):[1076,12] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WWebWidget.java):[1182,8] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WWebWidget.java):[1189,8] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WWebWidget.java):[1502,18] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WWebWidget.java):[1825,8] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WWebWidget.java):[1850,10] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WWebWidget.java):[1872,8] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WWebWidget.java):[1887,8] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WWebWidget.java):[1896,8] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WWebWidget.java):[1929,8] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WWebWidget.java):[2389,10] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WWebWidget.java):[2506,10] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WWebWidget.java):[2632,10] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WTimeEdit.java):[41,15] error: lambda expressions are not supported in -source 6
[ERROR]
[ERROR] could not parse error message: (use -source 8 or higher to enable lambda expressions)
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WTimePicker.java):179: error: lambda expressions are not supported in -source 6
ERROR -> {
[ERROR] ^
[ERROR]
[ERROR] could not parse error message: (use -source 8 or higher to enable lambda expressions)
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WSpinBox.java):231: error: lambda expressions are not supported in -source 6
ERROR -> {
[ERROR] ^
[ERROR]
[ERROR] could not parse error message: (use -source 8 or higher to enable lambda expressions)
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WComboBox.java):224: error: lambda expressions are not supported in -source 6
ERROR -> {
[ERROR] ^
[ERROR]
[ERROR] could not parse error message: (use -source 8 or higher to enable lambda expressions)
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WCssDecorationStyle.java):155: error: lambda expression not expected hereERROR -> {
[ERROR] ^
[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WMenuItem.java):[485,16] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WMenuItem.java):[875,18] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WMenuItem.java):[882,18] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WMenuItem.java):[895,14] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WMenuItem.java):[901,14] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WMenuItem.java):[907,16] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WAnchor.java):[184,16] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WImage.java):[183,14] error: lambda expression not expected here
[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WAbstractArea.java):[96,14] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/PluralExpression.java):[58,32] error: lambda expression not expected here[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/PluralExpression.java):[57,25] error: method reference not expected here
[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/PluralExpression.java):[69,32] error: lambda expression not expected here[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/PluralExpression.java):[68,25] error: method reference not expected here
[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/XmlMessageParser.java):[15,59] error: diamond operator is not supported in -source 6
[ERROR]
[ERROR] could not parse error message: (use -source 7 or higher to enable diamond operator)
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WMediaPlayer.java):355: error: lambda expression not expected here

ERROR -> {
[ERROR] ^
[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WPushButton.java):[149,14] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WPushButton.java):[338,14] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WPushButton.java):[564,18] error: lambda expression not expected here

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WRectF.java):[450,27] error: package com.google.gson does not exist

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/WRectF.java):[450,59] error: package com.google.gson does not exist

[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/utils/JsonUtils.java):[3,22] error: package com.google.gson does not exist
[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/utils/JsonUtils.java):[4,22] error: package com.google.gson does not exist
[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/utils/JsonUtils.java):[5,22] error: package com.google.gson does not exist
[ERROR]
[ERROR] C:\Users\user.m2\repository\eu\webtoolkit\jwt\4.8.0\jwt-4.8.0.jar(/eu/webtoolkit/jwt/utils/JsonUtils.java):[8,39] error: cannot find symbol
[ERROR] -> [Help 1]
[ERROR]
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR]
[ERROR] For more information about the errors and possible solutions, please read the following articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/MojoFailureException

RE: Problem with maven - Added by Korneel Dumon over 1 year ago

Hi,

I tried building the hello-mvn example and there were some problems. The pom file of the example uses java version 1.5, but since JWt 4 we are using lambdas so this needs to be version 1.8.

Additionally, I got some errors that GSON is missing. I think this dependency is missing from the jwt-4.8.0.pom file, so you can add it there (and reinstall it to maven) or add it directly to your project.

After making these fixes, I could build the example using mvn package.

Best regards,
Korneel

RE: Problem with maven - Added by Samuele Pederzini over 1 year ago

ok, now it works.

    (1-4/4)